[needs-packaging] pygame 1.8 has been released. Please update package.

Bug #209967 reported by illume on 2008-03-31
10
Affects Status Importance Assigned to Milestone
pygame (Debian)
Fix Released
Unknown
pygame (Ubuntu)
Wishlist
Luca Falavigna
Declined for Intrepid by Luca Falavigna

Bug Description

Hello,

a new version of pygame has been released.

http://pygame.org/

Related branches

Horst F JENS (horst.jens) wrote :

*please!!!*

Elisée Maurer (elisee) wrote :

I'm also waiting for the upgrade!

Mike Roberts (m.roberts) wrote :

Yes this package must be upgraded, at least in Hardy

ObsidianX (obsidianx) wrote :

Here's my quick .deb for those who don't want to wait any longer. It's built on Hardy for python 2.5. Again, this is by no means a release candidate, I just built it so I could have a deb to install.

ObsidianX (obsidianx) wrote :

Well it turns out I can't just make an incomplete package... so here's one that would work as a release candidate :)

Built for Python 2.4/2.5 on Hardy.

illume (illume) wrote :

Nice one :)

Now if only ubuntu would put it in their distro...

vushta (arvule) wrote :

Yes, please upgrade this, even for Gutsy (I've invested too much in it to want to go to Hardy any time soon; at least on this partition).

waterpie (gdiamanto) wrote :

I second this. Please upgrade it.

It would be very nice to have this, we've been waiting years for the new release of pygame, and now it's finally here it's a great shame not to have it included in Hardy.

Richie Ward (richies) wrote :

This bug needs to be fixed in intrepid.

Changed in pygame:
importance: Undecided → Wishlist
Changed in pygame:
status: Unknown → New
Changed in pygame:
status: New → Fix Released
Changed in pygame:
assignee: nobody → dktrkranz
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pygame - 1.8.0release-0ubuntu1

---------------
pygame (1.8.0release-0ubuntu1) intrepid; urgency=low

  * Merge from Debian experimental, remaining Ubuntu changes:
    + debian/rules:
      - Add quilt support.
    + debian/patches/documentation_fix:
      - Fix URL to point to the exact location of the online documentation.
    + debian/control:
      - Build-depend on quilt.
      - Update Maintainer field as per spec.
  * New upstream version (LP: #198544, #209967)

pygame (1.8.0release-0) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release
    thanks to René Dudfield (Closes: #473672).
  * Bug fix: "python-pygame: pygame.image.fromstring does not work",
    thanks to Sam Morris (Closes: #481071).

 -- Luca Falavigna <email address hidden> Sat, 07 Jun 2008 12:03:18 +0200

Changed in pygame:
status: In Progress → Fix Released
Douglas_Knapp (magick-crow) wrote :

That deb is great! can you do it 64 bit?

ObsidianX (obsidianx) wrote :

Here's the latest 1.8.1 DEB for Hardy.

Markos Gogoulos (mgogoulos) wrote :

Just tested the latest DEB package for Hardy (1.8.1), installs fine without a problem and import works well too.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.